> # NAME

> cgGetProgramBufferMaxSize - get the maximum size of a buffer in bytes for a given profile

> # SYNOPSIS

>       #include <Cg/cg.h>

>       int cgGetProgramBufferMaxSize( CGprofile profile );

> # PARAMETERS

> profile

>   The target for determining the maximum buffer size.

> # RETURN VALUES

> Returns the size of a buffer for the given profile in bytes.

> Returns 0 if an error occurs.

> # DESCRIPTION

> cgGetProgramBufferMaxSize returns the maximum size of a buffer for a profile in bytes. cgGetProgramBufferMaxSize will return 0 if an invalid profile is passed.

> # EXAMPLES

> int size = cgGetProgramBufferMaxSize( CG_PROFILE_GPU_VP );

> # ERRORS

> none.

> # HISTORY

> cgGetProgramBufferMaxSize was introduced in Cg 2.0.

> # SEE ALSO

> cgSetProgramBuffer, cgGetParameterBufferIndex, cgCreateBuffer